FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » Install problems with install.php, lastest version
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
icon9.gif  Install problems with install.php, lastest version [message #621] Tue, 19 February 2002 19:10 Go to next message
FragBait is currently offline  FragBait   United States
Messages: 15
Registered: February 2002
Location: Lehi, Utah, USA, Sol
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user

Hi all,
Just downloaded the latest stuff and am attempting a first time install.

Running the install.php script, just gives me tons of errors. I've been able to work around some of them.. for instance, it keeps whining about creating the include directory. I got past that, and now it doesn't like the fact that my wwwroot path doesn't match my url. I'm not sure what this is about.

my path is /storage/htdocs/FUD for browseable stuff and
/storage/FUD for non-browseable stuff.
the url will eventually be http://www.drshouse.com/FUD

All the errors I'm incurring appear to be that install script related. I've done this a million times with other programs and am familiar with what it's trying to do underneath.

I'm on Suse v7.2 but upgraded my mysql engine to '49' per your suggestion. php 4.0.4. so, i have all the requirements. I have a ton of apps running on this now.. web-based, php, mysql, all that.

Am a little stumped as to how to get around this. Am currently using phpBB v1.44. I like your forum better and want to switch.

thanks,
Mark
Re: Install problems with install.php, lastest version [message #623 is a reply to message #621] Tue, 19 February 2002 19:34 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
FragBait wrote on Tue, 19 February 2002 7:10 PM

Hi all,
Just downloaded the latest stuff and am attempting a first time install.

Running the install.php script, just gives me tons of errors. I've been able to work around some of them.. for instance, it keeps whining about creating the include directory. I got past that, and now it doesn't like the fact that my wwwroot path doesn't match my url. I'm not sure what this is about.

my path is /storage/htdocs/FUD for browseable stuff and
/storage/FUD for non-browseable stuff.
the url will eventually be http://www.drshouse.com/FUD

All the errors I'm incurring appear to be that install script related. I've done this a million times with other programs and am familiar with what it's trying to do underneath.

I'm on Suse v7.2 but upgraded my mysql engine to '49' per your suggestion. php 4.0.4. so, i have all the requirements. I have a ton of apps running on this now.. web-based, php, mysql, all that.

Am a little stumped as to how to get around this. Am currently using phpBB v1.44. I like your forum better and want to switch.

thanks,
Mark


I've sent you a few questions via ICQ, if you can please answer them


FUDforum Core Developer
Re: Install problems with install.php, lastest version [message #624 is a reply to message #623] Tue, 19 February 2002 19:39 Go to previous messageGo to next message
FragBait is currently offline  FragBait   United States
Messages: 15
Registered: February 2002
Location: Lehi, Utah, USA, Sol
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user

I'm not sure whether my ICQ client supports that. I'm running everybuddy. it runs on linux. I don't have any windows available. I live on linux.

I only have a single frankensteinian pc in the basement that I have to use for everything. So it's firewall, server, web site, and workstation all in one. I have to leave it in linux as it runs my domain. it runs 24/7. All that drivel was basically to explain why i didn't get your icq-based questions. feel free to contact me though if you'd like.

Mark
Re: Install problems with install.php, lastest version [message #625 is a reply to message #624] Tue, 19 February 2002 19:42 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
FragBait wrote on Tue, 19 February 2002 7:39 PM

I'm not sure whether my ICQ client supports that. I'm running everybuddy. it runs on linux. I don't have any windows available. I live on linux.

I only have a single frankensteinian pc in the basement that I have to use for everything. So it's firewall, server, web site, and workstation all in one. I have to leave it in linux as it runs my domain. it runs 24/7. All that drivel was basically to explain why i didn't get your icq-based questions. feel free to contact me though if you'd like.

Mark


Heh, that's what I figured. I run LiCQ on Linux and it is a disaster...

The problem you have mentioned on the forum is actually the result of the following:
the install script creates a test file in the /storage/htdocs/FUD/ directory and then tries to access that file via http://www.drshouse.com/FUD/ if it cannot it will give an error about not being able to match paths.

Anyhow, here are my questions to you:

1) When you were specifying paths for various directories, did you include the trailing / in the path?

2) Could you paste here the errors you have recieved when trying to install the forum?


FUDforum Core Developer
Re: Install problems with install.php, lastest version [message #626 is a reply to message #625] Tue, 19 February 2002 20:00 Go to previous messageGo to next message
FragBait is currently offline  FragBait   United States
Messages: 15
Registered: February 2002
Location: Lehi, Utah, USA, Sol
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user

Ok, for the sake of sanity, I'll start over.

php and mysql versions:
===========================================
thedr:/www # rpm -qa | grep -i php
mod_php4-core-4.0.4pl1-90
mod_php4-4.0.4pl1-90
phpdoc-4.0.3-38
thedr:/www # rpm -qa | grep -i mysql
perl-Msql-Mysql-modules-1.2216-13
MySQL-client-3.23.49-1
MySQL-shared-3.23.49-1
MySQL-3.23.49-1
MySQL-devel-3.23.49-1
=============================================

permissions and such on directories and files:
*note: apache runs as wwwrun.nogroup
users are typically [user].users
===================================================
thedr:/www # ls -ald /storage/htdocs/FUD /storage/FUD
drwxrwx--- 9 wwwrun nogroup 197 Feb 19 16:39 /storage/FUD
drwxrwx--- 2 wwwrun users 62 Feb 19 17:57 /storage/htdocs/FUD

thedr:/www # ll /storage/htdocs/FUD
total 23
-rw-rw---- 1 wwwrun users 18809 Feb 19 17:57 install.php

*where I've put the stuff for the initial install:
thedr:/www # ll /usr/local/src/
drwxr-xr-x 4 wwwrun users 154 Feb 18 17:31 forum_install
========================================================

Values that I put into the dialog screens from running http://www.drshouse.com/FUD/install.php
===================================================
Installation Path Step 1 of 5
/usr/local/src/forum_install/

PATH OF SYSTEM FILES AND DIRECTORIES Step 2 of 5
Server Root
/storage/htdocs/FUD/
Forum Data Root
/storage/FUD/
Forum WWW Root
http://www.drshouse.com/FUD/
===========================================================

Errors from selecting "Next" using the above values:
I get about 50 of the first one:
============================================================
Warning: Unable to create '/storage/FUD/include': Is a directory in /storage/htdocs/FUD/install.php on line 94Warning: Unable to create '/storage/htdocs/FUD/images': Is a directory in /storage/htdocs/FUD/install.php on line 94

Warning: fopen("/storage/FUD/include","w") - Is a directory in /storage/htdocs/FUD/install.php on line 116

Warning: Supplied argument is not a valid File-Handle resource in /storage/htdocs/FUD/install.php on line 117

Warning: Supplied argument is not a valid File-Handle resource in /storage/htdocs/FUD/install.php on line 118
=============================================================

At the bottom of the page containing the errors is the step 3 of 5 where it asks for the mysql server info. I've not tried to go past this yet.

Mark

Re: Install problems with install.php, lastest version [message #627 is a reply to message #626] Tue, 19 February 2002 20:06 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Since ICQ is obviously not working, could you possibly meet me on IRC?

FUDforum Core Developer
Re: Install problems with install.php, lastest version [message #628 is a reply to message #621] Tue, 19 February 2002 20:09 Go to previous messageGo to next message
FragBait is currently offline  FragBait   United States
Messages: 15
Registered: February 2002
Location: Lehi, Utah, USA, Sol
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user

sure.. my fav is linuxpeople on dalnet but i'll meet you anywhere you'ld like.

Mark
Re: Install problems with install.php, lastest version [message #629 is a reply to message #628] Tue, 19 February 2002 20:10 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
FragBait wrote on Tue, 19 February 2002 8:09 PM

sure.. my fav is linuxpeople on dalnet but i'll meet you anywhere you'ld like.

Mark


irc.openprojects.net port 6667
#fudforum

I'll be waiting Smile


FUDforum Core Developer
Re: Install problems with install.php, lastest version [message #630 is a reply to message #629] Tue, 19 February 2002 20:17 Go to previous messageGo to next message
FragBait is currently offline  FragBait   United States
Messages: 15
Registered: February 2002
Location: Lehi, Utah, USA, Sol
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user

that one bans my IP for some reason.. might be restricted to connections that are closer... will have to pick another one.


Re: Install problems with install.php, lastest version [message #631 is a reply to message #621] Tue, 19 February 2002 20:17 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Hmm... openprojects does not seem to like you for some reason Sad

mrash (mrash(at)thedr(dot)drshouse(dot)com) has joined #fudforum
<-- mrash has quit (K-lined)

I've joined linuxpeople on dal.net as prottoss. Msg me when you're there...


FUDforum Core Developer
Re: Install problems with install.php, lastest version [message #632 is a reply to message #631] Tue, 19 February 2002 20:25 Go to previous messageGo to next message
FragBait is currently offline  FragBait   United States
Messages: 15
Registered: February 2002
Location: Lehi, Utah, USA, Sol
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user

it's saying i have an open proxy. I made sure that I'm running identd and that it's available outside.

I'm currently looking into this open proxy thing.. I use squid but am not using it for irc.

Mark
Re: Install problems with install.php, lastest version [message #633 is a reply to message #632] Tue, 19 February 2002 20:26 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
FragBait wrote on Tue, 19 February 2002 8:25 PM

it's saying i have an open proxy. I made sure that I'm running identd and that it's available outside.

I'm currently looking into this open proxy thing.. I use squid but am not using it for irc.

Mark


Why not use NAT?

Anyhow, I am connected to dal.net as prottoss so if you can connect to it, we can talk there...


FUDforum Core Developer
icon6.gif  Re: Install problems with install.php, lastest version [message #637 is a reply to message #633] Wed, 20 February 2002 02:14 Go to previous messageGo to next message
FragBait is currently offline  FragBait   United States
Messages: 15
Registered: February 2002
Location: Lehi, Utah, USA, Sol
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user

K,
I'm all happy and it's running fine.

The author of this software worked with me for about an hour and figured out some stuff and helped me get it running.

Here's what all I did.

I started with stock Suse v7.2 install.

I installed apache and just about every module known to man from the SuSE CD.

I then went and got the latest mysql RPM's from mysql.org and installed that in place of the SuSE version. It's too old.
Then I went and got pspell, built and installed it.
Got the perl module from that site, built and installed it.
Then I went and got aspell, patched it, built and installed it.

Then I went to php.org and got the latest 4.1.1 php source package.
I built php using the following configure line:
./configure --with-mysql --with-apxs --with-pspell --enable-bcmath --with-gd

What this did for me is give me pspell support for FUD, plus I figured while I was at it, I'd grab support for gd and bcmath for ACID graphing. I've been waiting for that for awhile.

Anyway, this sounds hard but I was actually able to do all this without having to compile apache from scratch, which i consider an absolute nightmare.

Anyway, I'm also willing to lend any assistance that I can. I'm not a programmer.. just a techie.

Mark
Re: Install problems with install.php, lastest version [message #641 is a reply to message #637] Wed, 20 February 2002 09:49 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
FragBait wrote on Wed, 20 February 2002 2:14 AM

K,
I'm all happy and it's running fine.

The author of this software worked with me for about an hour and figured out some stuff and helped me get it running.

Here's what all I did.

I started with stock Suse v7.2 install.

I installed apache and just about every module known to man from the SuSE CD.

I then went and got the latest mysql RPM's from mysql.org and installed that in place of the SuSE version. It's too old.
Then I went and got pspell, built and installed it.
Got the perl module from that site, built and installed it.
Then I went and got aspell, patched it, built and installed it.

Then I went to php.org and got the latest 4.1.1 php source package.
I built php using the following configure line:
./configure --with-mysql --with-apxs --with-pspell --enable-bcmath --with-gd

What this did for me is give me pspell support for FUD, plus I figured while I was at it, I'd grab support for gd and bcmath for ACID graphing. I've been waiting for that for awhile.

Anyway, this sounds hard but I was actually able to do all this without having to compile apache from scratch, which i consider an absolute nightmare.

Anyway, I'm also willing to lend any assistance that I can. I'm not a programmer.. just a techie.

Mark


To avoid needing to recompile apache everytime you re-install/change your php, install php as a dso module. This would make php a loadable module rather then being hardcoded into the apache binary. As such you can change php and the only requirement would be a restart of apache.


FUDforum Core Developer
Re: Install problems with install.php, lastest version [message #644 is a reply to message #641] Wed, 20 February 2002 12:15 Go to previous message
FragBait is currently offline  FragBait   United States
Messages: 15
Registered: February 2002
Location: Lehi, Utah, USA, Sol
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user

right.. during all of this, other than initially telling apache about php docs in the httpd.conf file, I didn't have to touch apache at all. Never had to recompile it.

..just restart, of course.

Mark

[Updated on: Wed, 20 February 2002 12:17]

Report message to a moderator

Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: Update to V1.2 - Unable to open core.inc
Next Topic: Registration email issues
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Wed Dec 13 21:20:06 EST 2017

Total time taken to generate the page: 0.00953 seconds